Autor Tópico: [Dúvida] - Um misto de dúvidas p/ começar a mexer!  (Lida 26168 vezes)

Digooo

  • Visitante
[Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Online: 28 de Julho de 2007, 00:32 »
Seguinte, sou novato e iniciante usuário de linux, alias nunca usei mas também nunca tive a curiosidade grande em mexer por ser o linux algo meio complexo quando nao se tem mta experiencia e paciencia principalmente. Tentei há uns 2 ou 3 anos mexer com o kurumin que também nao gostei e ultimamente nao me passava a ideia de usar linux mas o montante de comentarios sobre o ubuntu me fez dar outra "chance" ao linux para usar como 2.a opcao de sistema operacional e como aprendizado de outra plataforma. pois bem, baixei, gravei o cd e estou testando aki, fazendo um tipo de "test-drive" para decidir se instalo definitivamente ou nao. andei por este forum procurando alguma das respostas pras minhas duvidas mas nao axei nada q fosse diretamente ao ponto. entao decidi abrir esse topico para que tais duvidas possam ser solucionadas.

como faco para q o mouse tenha clique unico ao inves de 2 cliques para abrir os icones?

outra, precisamos instalar algum tipo de protecao? nao vi nada relacionado a antivirus ou firewalls, claro q o linux nao é igual ao windows, mas será q nao se precisa instalar absolutamente nada contra as pragas da internet? se sim, qual instalar? qual melhor? onde baixar?

alguem poderia me indicar um bom gerenciador de downloads para se usar no ubuntu?

apos fazer a atualizacao do sistema, na tela do grub apareceu 2 ubuntus pra rodar, ou pelo menos 2 opcoes, uma de kernel 2.6.20-15 e 2.6.20-16 se nao me engano.. e ai, tem problema essas 2 opcoes na tela do boot? há como remover essa linha do boot q nao será mais usada, no caso a do kernel antigo?

seguinte, pra finalizar, eu to levando uma surra pra instalar um prog q necessita da biblioteca libcurl.so.4.. já rodei a net e nao consigo, pelo synaptic so tem o libcurl 3 e este ja esta instalado! alguem ai pode me iluminar nesta questao? o programa é um usado pelo servidor de upload sendspace(www.sendspace.com) e o prog auxilia o envio de arquivos para o site, tá nesse end pra quem puder me ajudar: http://www.sendspace.com/download_wizard.html

vlwwwwwwwwwwwwww demais, to mto atolado de duvidas, mas pelo menos ja instalei o ubuntu no pc e to gostando dele, agora preciso mesmo aprender a instalar essas coisas mais complexas!

Offline clcampos

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 10.790
  • .:: User Linux #439596 ::.
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #1 Online: 28 de Julho de 2007, 00:44 »
Bem vindo Digooo, tentarei ser breve e direto, e apenas no que eu posso falar.

Não uso nenhuma proteção, nem anti vírus, nem firewall. Existem vários tópicos no fórum que tratam disto, e sobre o anti vírus ficou meio que aceito que é apenas para proteger usuários do windows e não do linux, já que praticamente não existem vírus para linux, e é muito difícil um grande estrago.

Eu uso para auxiliar meus downloads o add-on do firefox chamado DownThemAll!.

Você recebeu uma atualização do kernel, então o GRUB (aquele menu no início) lista para você as opções de kernel disponíveis. Uma vez que já testou o nome kernel você pode editar o arquivo /boot/grub/menu.list e comentar as linhas do segundo kernel (para comentar inicie a linha com o caracter #) ou mesmo removê-las (podemos ajudar nisto se listar o arquivo). Para editar use o comando:

Código: [Selecionar]
$ sudo gedit /boot/grub/menu.lst
De início é isto, espero ter te ajudado.

-- EDIT --

Eu deixei para olhar o nome do add-on após escrever o texto e acabei esquecendo de colocar, mas o erro já foi corrigido.

Mais sobre firefox: add-ons e truques para firefox.
« Última modificação: 28 de Julho de 2007, 00:56 por clcampos »
Cristiano/Timóteo - MG
.: Como Fazer Perguntas de Forma Inteligente :.                
Com dúvida? pesquise!

Offline Esfinge

  • Usuário Ubuntu
  • *
  • Mensagens: 283
  • Debian 4.0 Lenny
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #2 Online: 28 de Julho de 2007, 00:52 »
Bom gerenciador gráfico de download é o Downloader for X ( sudo apt-get install d4x ) semelhante a Flashget e afins..

não precisa de anti-virus não, virus pra win não funciona no linux ( ate onde sei ) e os vírus pra linux são muito poucos e destinados mais para ativar bots em servidores etc, so ficar tranqüilo e esquecer que isso existe sobre a entrada grub é isso que o clcampos falou  ;)

Edit: Sobre o libcurl, .so seria o equivalente a .dll do windows como vc ja instalou o pacote .deb faz o seguinte pra saber se instalou direito > no terminal digita sudo updatedb ( isso vai atualizar o index files ) depois digita locate libcurl.so ... se achar é porque ta instalado, então o problema não seria no seu ubuntu e sim no programa que esta procurando por outra versão do modulo ou no lugar errado
ex:
/usr/lib/libcurl.so.3
/usr/lib/libcurl.so.3.0.0
« Última modificação: 28 de Julho de 2007, 01:03 por Esfinge »

Digooo

  • Visitante
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #3 Online: 28 de Julho de 2007, 03:42 »
powwwwwwwwww, sensacional as respostas de vcs, valeu mesmo, irei tentar aki!!

sobre a libcurl, realmente, to sem saber o q fazer mas tentarei esses passos q aki me foram passados!

sobre os demais, blz, tá tdo certo

agora outra duvida:

entro em sites com transmissao de audio via internet e nao consigo executar o player! falta algo? até agora nao consegui ouvir algumas radios pelo ubuntu!

de resto, é treinar mais e mandar ver no ubuntu!

vlwwwwwwwwwwwwww pessoal!!

Digooo

  • Visitante
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #4 Online: 28 de Julho de 2007, 04:03 »
Esfinge!

veja, fiz o q vc mandou, olha o q apareceu:

$ locate libcurl.so

/usr/lib/debug/usr/lib/libcurl.so.3.0.0
/usr/lib/libcurl.so
/usr/lib/libcurl.so.3
/usr/lib/libcurl.so.3.0.0

e ai, o q me resta? o prog nao vai ser instalado? pow, preciso mto dele!! nao há como remediar essa situacao?

obrigado novamente!

Offline pinduvoz

  • Usuário Ubuntu
  • *
  • Mensagens: 2.494
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #5 Online: 28 de Julho de 2007, 05:21 »
Você quer a "libcurl.so.4", não é?

Experimente linkar a versão 3 para 4 e veja se o programa roda.

Faça assim:

- abra o terminal e vá para a pasta /usr/lib (cd /usr/lib);

- crie o link assim: sudo ln -s libcurl.so.3.0.0 libcurl.so.4

NOTA: já usei esta solução para linkar uma versão mais nova para uma mais antiga, exigida por um determinado programa e funcionou perfeitamente. Agora, de uma versão mais antiga (libcurl.so.3.0.0) para uma mais nova (libcurl.so.4), talvez funcione. Você vai ter que testar.
:: Linux Registered User nº 439378 ::

Offline pinduvoz

  • Usuário Ubuntu
  • *
  • Mensagens: 2.494
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #6 Online: 28 de Julho de 2007, 05:34 »
Esqueci.

Quanto ao gerenciador de downloads, uso o do Gnome (gwget), que é um front end em GTK para o wget, o gerenciador de downloads em linha de comando pré-instalado no Ubuntu (e em todo Linux que eu conheço).

Instale assim:

sudo apt-get install gwget


Ele funciona perfeitamente com o flashgot, extensão para downloads do Firefox (e só carregá-lo antes de adicionar o download).

No mais, para nossa comodidade, ele cria uma entrada no menu "internet" quando instalado e fica "quietinho" no tray (área de notificação) quando é carregado.
:: Linux Registered User nº 439378 ::

Offline Tota

  • Usuário Ubuntu
  • *
  • Mensagens: 14.982
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #7 Online: 28 de Julho de 2007, 07:00 »
como faco para q o mouse tenha clique unico ao inves de 2 cliques para abrir os icones?

Olá Digooo,

Todos explicaram muito bem suas dúvidas mas faltou uma, então eu vou passar o link para voce.

http://www.howtoforge.com/gnome_single_mouseclick

Traduzindo:

Abra o Nautilus

Vá em => Editar => Preferências

Em Preferências do Navegador localize a aba => comportamento

Escolha Clique único para ativar itens.

Pronto.

[],s

Offline Esfinge

  • Usuário Ubuntu
  • *
  • Mensagens: 283
  • Debian 4.0 Lenny
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #8 Online: 28 de Julho de 2007, 12:43 »
Sobre o libcurl a solução do pindovoz deve resolver, se não vc vai ter que pesquisar sobre esse software e ver qual versão ele quer e onde ele ta procurando.. não desista o divertido no linux é isso  ;)

sobre ouvir radios no ubuntu realmente existe alguns problemas, pois muitas radios pedem controles activeX que são do Internet Explorer.. mas acredito que vc não vai precisar se preocupar com isso se ler um "guia de midia no ubuntu" que o usuario galactus fez

veja:
http://ubuntuforum-br.org/index.php/topic,15522.msg83042.html#msg83042

basicamente vc precisa instalar os plugins do Mplayer ou do totem no firefox, mas também tem o Rhythmbox, que ja vem com algumas radios na lista  ;D

Digooo

  • Visitante
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #9 Online: 28 de Julho de 2007, 13:04 »
showwwwwwwwwwwwwwwwwwwwwwwwwww, showwwwwwwwwww mesmo a ajuda de vcs, está sendo primordial! realmente pra usar linux vc tem q tá com disposicao pra aprender coisas novas senao fica pelo caminho..

seguinte, com relacao ao prog q exige a libcurl.so.4, fiz os procedimentos como descrito aki e na hora de instalar, apareceu outra msg de erro, vejam

./sswizard: /usr/lib/libcurl.so.4: version `CURL_4' not found (required by ./sswizard)

e ai, alguma novidade do q eu posso fazer? seguinte, o prog é esse daki: http://www.sendspace.com/download_wizard.html

eu tenho uma conta nesse site de upload e esse prog serve para auxiliar o envio dos arquivos pro site, excelente! e tá resistindo a nao ser instalado.. como eu nao manjo nada de ingles quase, vou postar o readme dele aki.. e ai vcs me dizem se eu estou fazendo algo errado:

------------------------------------------------------- readme do SendSpace Wizard -----------------------------------------------

Welcome to the beta release of SendSpace Wizard for Linux.

Supported platforms: Debian Sid in both 32 and 64 bit modes.  More to follow.

Select the appropriate binaries from the 32bit or 64bit directories depending on your architecture.  You may need to install the latest version of the wxWidgets library, we currently support 2.8.3.

To run: copy both binaries to your directory of choice and execute the 'sswizard' binary.

We would of course welcome any bug reports and feature requests.

Library dependencies in this release:

libpthread, libgtk2, libgdk2, libfontconfig, libXext, libXrender, libXinerama,
libXi, libXrandr, libXcursor, libXfixes, libpango1, libobject2, libgmodule2,
libgthread2, librt1, libglib2, libSM, libjpeg, libz1, libcurl3/libcurl4,
libstdc++, libpangocairo1, libcairo2, libfreetype, libexpat1, libXam,
libXdmcp, libICE, libidn, libpangoft, libpng.

Should you run the Wizard and it fails out of the box, do the following command:

ldd ssgui_app | grep -i found

The output would show you the missing libraries you need to install.

Best,
SendSpace

------------------------------------------------------------ fim do readme --------------------------------------------------------------

e ai pessoal, alguma mais sugestao? eu ainda nao consegui instalar o bendito!

bem, sobre os gerenciadores, excelente as dicas, instalei os 2 sugeridos aki e to testando, mtoooooo bom! vlwwwwwww mesmo. também resolvi o lance do clique unico!!

pronto, por enquanto é so esse prog q tá me atormentando a cabeca!

Offline VB5

  • Usuário Ubuntu
  • *
  • Mensagens: 3.564
  • Liga dos Dinos
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #10 Online: 28 de Julho de 2007, 13:23 »
Digooo,

com certeza o pessoal mais experiente aqui pode te ajudar, mas pelo que você postou é possível que o programa funcione com ambas as dependências:

 ----------------
Library dependencies in this release:

libpthread, libgtk2, libgdk2, libfontconfig, libXext, libXrender, libXinerama,
libXi, libXrandr, libXcursor, libXfixes, libpango1, libobject2, libgmodule2,
libgthread2, librt1, libglib2, libSM, libjpeg, libz1, libcurl3/libcurl4,
libstdc++, libpangocairo1, libcairo2, libfreetype, libexpat1, libXam,
libXdmcp, libICE, libidn, libpangoft, libpng.
 ---------------

Você pode criar o link simbólico como o pinduvoz falou, ou pode entrar na pasta e alterar direto a linha para ver no que dá:

Código: [Selecionar]
./sswizard: /usr/lib/libcurl.so.4

Lembre que o './' indica que a pasta é oculta, portanto você terá que ser root ( use o sudo) para mexer nela. Tente mudar o '4' para '3' e veja se funciona.

Atenção, é só um palpite!...  ;)

VB5
« Última modificação: 28 de Julho de 2007, 16:40 por VB5 »
Ubuntu 10.04 - Semprom 2600+/Asus K8N/1.5 GB RAM DDR 400/GeForce 6200/HDs: 80MB + 320 GB

Offline clcampos

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 10.790
  • .:: User Linux #439596 ::.
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #11 Online: 28 de Julho de 2007, 13:23 »
Digooo sei que mexer com linux ainda traz mais algum trabalho do que com o sistema da Microsoft, mas também te traz benefícios, já que depois de configurado ele é mais estável e seguro.

Para mim o linux não traz só liberdade, economia, ele também distribui conhecimento, não escondendo de você o que é feito e permitindo a disseminação do conhecimento, sem contar que integra você a uma comunidade muito legal, onde os membros estão sempre dispostos a ajudar sem te pedir nada em troca, a não ser que se integre a comunidade também.
Cristiano/Timóteo - MG
.: Como Fazer Perguntas de Forma Inteligente :.                
Com dúvida? pesquise!

Offline Esfinge

  • Usuário Ubuntu
  • *
  • Mensagens: 283
  • Debian 4.0 Lenny
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #12 Online: 28 de Julho de 2007, 13:26 »
Traduzindo uns pontos importantes:

Selecionar o diretório correspondente a sua arquitetura 32 bits ou 64 bits, instalar o wxWidgets lib 2.8.3 ( ubuntu ja vem com a 2.8.0 instalada )

para começar: copiar os binarios para um diretorio de sua escolha, e executar 'sswizard' binary.

dependencias:

libpthread, libgtk2, libgdk2, libfontconfig, libXext, libXrender, libXinerama,
libXi, libXrandr, libXcursor, libXfixes, libpango1, libobject2, libgmodule2,
libgthread2, librt1, libglib2, libSM, libjpeg, libz1, libcurl3/libcurl4,
libstdc++, libpangocairo1, libcairo2, libfreetype, libexpat1, libXam,
libXdmcp, libICE, libidn, libpangoft, libpng.

Se ao rodar o wizard houver um erro, dê o seguinte comando:
ldd ssgui_app | grep -i found
A resposta deve mostrar os pacotes faltando

.. então tenta rodar esse comando pra ver o que ta faltando, enquanto isso to baxando aqui o programa ja que não tenho nada pra fazer, dae vou tenta instalar e qualquer coisa te aviso como resoler  ;D

Digooo

  • Visitante
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #13 Online: 28 de Julho de 2007, 13:51 »
vlwwwwwwwwwwwwwwwww esfinge!! e realmente dá certo trabalho mas eu nao vou desistir naooooooo! de jeito nenhum!! vou até o fimmmmmmm, to so querendo aprender mais sobre o ubuntu pra deixar ele definitivamente no meu computador!!

vlwwwwwwwwwwwwwwwwwwwwwwwwww novamente a todos que estao me ajudando, sem a ajuda de vcs eu estaria ferrado!!

muitíssimo obrigado!!

e viva o ubuntu!!

Offline Esfinge

  • Usuário Ubuntu
  • *
  • Mensagens: 283
  • Debian 4.0 Lenny
    • Ver perfil
Re: [Dúvida] - Um misto de dúvidas p/ começar a mexer!
« Resposta #14 Online: 28 de Julho de 2007, 14:00 »
ja descobri o problema, é bem simples, há uma nova versão do libcurl ( a versão 4 ) o problema é.. ainda não ta nos repositorios do ubuntu, pois pelo que pesquisei tem um bug grave nele, agora pra resolver to pesquisando um modo de instalar ele sem ser pelo repositorio ubuntu, então logo te trago o metodo.

hehe não esquenta, todu mundo aqui adora ajudar quem precisa :)